diff --git a/Makefile.am b/Makefile.am
index 147bde5..6d799a5 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -2,8 +2,8 @@
 ACLOCAL_AMFLAGS = -I m4 ${ACLOCAL_FLAGS}
 
 SUBDIRS = 						\
-	src						\
 	po						\
+	src						\
 	data						\
 	help						\
 	policy
@@ -13,10 +13,7 @@ SUBDIRS += applets
 endif
 
 EXTRA_DIST =						\
-	autogen.sh					\
-	intltool-extract.in				\
-	intltool-merge.in				\
-	intltool-update.in
+	autogen.sh
 
 clean-local :
 	rm -f *~
@@ -25,9 +22,6 @@ snapshot:
 	$(MAKE) dist distdir=$(PACKAGE)-$(VERSION)-`date +"%Y%m%d"`
 
 DISTCLEANFILES =					\
-	intltool-extract				\
-	intltool-merge					\
-	intltool-update					\
 	mate-power-manager-*.tar.gz
 
 DISTCHECK_CONFIGURE_FLAGS =   \
diff --git a/applets/brightness/Makefile.am b/applets/brightness/Makefile.am
index bcc28d2..4560164 100644
--- a/applets/brightness/Makefile.am
+++ b/applets/brightness/Makefile.am
@@ -39,17 +39,18 @@ mate_brightness_applet_LDADD =					\
 	$(PANEL_LIBS)
 
 appletdir       = $(datadir)/mate-panel/applets
-applet_in_files = org.mate.BrightnessApplet.mate-panel-applet.in
-applet_DATA     = $(applet_in_files:.mate-panel-applet.in=.mate-panel-applet)
+applet_in_files = org.mate.BrightnessApplet.mate-panel-applet.desktop.in
+applet_DATA     = $(applet_in_files:.mate-panel-applet.desktop.in=.mate-panel-applet)
 
-$(applet_in_files): $(applet_in_files).in Makefile
-	$(AM_V_GEN)sed \
+$(applet_DATA): $(applet_in_files)
+	$(AM_V_GEN) $(MSGFMT) --desktop --keyword=Name --keyword=Description --template $< -d $(top_srcdir)/po -o $@
+
+$(applet_in_files): $(applet_in_files).in
+	$(AM_V_GEN) sed \
             -e "s|\@LIBEXECDIR\@|$(libexecdir)|" \
             -e "s|\@VERSION\@|$(PACKAGE_VERSION)|" \
             $< > $@
 
-%.mate-panel-applet: %.mate-panel-applet.in $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*po) ; $(INTLTOOL_MERGE) $(top_srcdir)/po $< $@ -d -u -c $(top_builddir)/po/.intltool-merge-cache
-
 servicedir       = $(datadir)/dbus-1/services
 service_in_files = org.mate.panel.applet.BrightnessAppletFactory.service.in
 service_DATA     = $(service_in_files:.service.in=.service)
@@ -62,7 +63,7 @@ org.mate.panel.applet.BrightnessAppletFactory.service: $(service_in_files)
 uidir   = $(datadir)/mate-power-manager/ui
 ui_DATA = brightness-applet-menu.xml
 
-EXTRA_DIST = org.mate.BrightnessApplet.mate-panel-applet.in.in $(ui_DATA) $(service_in_files)
+EXTRA_DIST = $(applet_in_files).in $(ui_DATA) $(service_in_files)
 
 DISTCLEANFILES =						\
 	$(applet_DATA) $(applet_DATA).in $(service_DATA)
diff --git a/applets/brightness/org.mate.BrightnessApplet.mate-panel-applet.in.in b/applets/brightness/org.mate.BrightnessApplet.mate-panel-applet.desktop.in.in
similarity index 62%
rename from applets/brightness/org.mate.BrightnessApplet.mate-panel-applet.in.in
rename to applets/brightness/org.mate.BrightnessApplet.mate-panel-applet.desktop.in.in
index 3a3a0a8..bddc939 100644
--- a/applets/brightness/org.mate.BrightnessApplet.mate-panel-applet.in.in
+++ b/applets/brightness/org.mate.BrightnessApplet.mate-panel-applet.desktop.in.in
@@ -1,12 +1,13 @@
 [Applet Factory]
 Id=BrightnessAppletFactory
 Location=@LIBEXECDIR@/mate-brightness-applet
-_Name=Brightness Applet Factory
-_Description=Factory for Brightness Applet
+Name=Brightness Applet Factory
+Description=Factory for Brightness Applet
 
 [BrightnessApplet]
-_Name=Brightness Applet
-_Description=Adjusts Laptop panel brightness
+Name=Brightness Applet
+Description=Adjusts Laptop panel brightness
+# Translators: Do NOT translate or transliterate this text (this is an icon file name)!
 Icon=mate-brightness-applet
 MateComponentId=OAFIID:MATE_BrightnessApplet
 X-MATE-Bugzilla-Bugzilla=MATE
diff --git a/applets/inhibit/Makefile.am b/applets/inhibit/Makefile.am
index 1b10447..3ec2f90 100644
--- a/applets/inhibit/Makefile.am
+++ b/applets/inhibit/Makefile.am
@@ -39,16 +39,17 @@ mate_inhibit_applet_LDADD =					\
 	$(PANEL_LIBS)
 
 appletdir       = $(datadir)/mate-panel/applets
-applet_in_files = org.mate.InhibitApplet.mate-panel-applet.in
-applet_DATA     = $(applet_in_files:.mate-panel-applet.in=.mate-panel-applet)
+applet_in_files = org.mate.InhibitApplet.mate-panel-applet.desktop.in
+applet_DATA     = $(applet_in_files:.mate-panel-applet.desktop.in=.mate-panel-applet)
 
-$(applet_in_files): $(applet_in_files).in Makefile
-	$(AM_V_GEN)sed \
+$(applet_in_files): $(applet_in_files).in
+	$(AM_V_GEN) sed \
             -e "s|\@LIBEXECDIR\@|$(libexecdir)|" \
             -e "s|\@VERSION\@|$(PACKAGE_VERSION)|" \
             $< > $@
 
-%.mate-panel-applet: %.mate-panel-applet.in $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*po) ; $(INTLTOOL_MERGE) $(top_srcdir)/po $< $@ -d -u -c $(top_builddir)/po/.intltool-merge-cache
+$(applet_DATA): $(applet_in_files)
+	$(AM_V_GEN) $(MSGFMT) --desktop --keyword=Name --keyword=Description --template $< -d $(top_srcdir)/po -o $@
 
 servicedir       = $(datadir)/dbus-1/services
 service_in_files = org.mate.panel.applet.InhibitAppletFactory.service.in
@@ -62,7 +63,6 @@ org.mate.panel.applet.InhibitAppletFactory.service: $(service_in_files)
 uidir   = $(datadir)/mate-power-manager/ui
 ui_DATA = inhibit-applet-menu.xml
 
-EXTRA_DIST = org.mate.InhibitApplet.mate-panel-applet.in.in $(ui_DATA) $(service_in_files)
+EXTRA_DIST = $(applet_in_files).in $(ui_DATA) $(service_in_files)
 
-DISTCLEANFILES =						\
-	$(applet_DATA) $(applet_DATA).in $(service_DATA)
+DISTCLEANFILES = $(applet_DATA) $(applet_DATA).in $(service_DATA)
diff --git a/applets/inhibit/org.mate.InhibitApplet.mate-panel-applet.in.in b/applets/inhibit/org.mate.InhibitApplet.mate-panel-applet.desktop.in.in
similarity index 60%
rename from applets/inhibit/org.mate.InhibitApplet.mate-panel-applet.in.in
rename to applets/inhibit/org.mate.InhibitApplet.mate-panel-applet.desktop.in.in
index d65060b..645fc21 100644
--- a/applets/inhibit/org.mate.InhibitApplet.mate-panel-applet.in.in
+++ b/applets/inhibit/org.mate.InhibitApplet.mate-panel-applet.desktop.in.in
@@ -1,12 +1,13 @@
 [Applet Factory]
 Id=InhibitAppletFactory
 Location=@LIBEXECDIR@/mate-inhibit-applet
-_Name=Inhibit Applet Factory
-_Description=Factory for Inhibit Applet
+Name=Inhibit Applet Factory
+Description=Factory for Inhibit Applet
 
 [InhibitApplet]
-_Name=Inhibit Applet
-_Description=Allows user to inhibit automatic power saving
+Name=Inhibit Applet
+Description=Allows user to inhibit automatic power saving
+# Translators: Do NOT translate or transliterate this text (this is an icon file name)!
 Icon=mate-inhibit-applet
 MateComponentId=OAFIID:MATE_InhibitApplet
 X-MATE-Bugzilla-Bugzilla=MATE
diff --git a/configure.ac b/configure.ac
index 16762d3..4278841 100644
--- a/configure.ac
+++ b/configure.ac
@@ -16,7 +16,6 @@ AM_PROG_CC_C_O
 
 AC_PROG_INSTALL
 LT_INIT
-IT_PROG_INTLTOOL([0.50.1])
 
 MATE_COMPILE_WARNINGS([yes])
 YELP_HELP_INIT
@@ -52,11 +51,14 @@ CPPFLAGS="$CPPFLAGS -fexceptions"
 dnl ---------------------------------------------------------------------------
 dnl - gettext stuff
 dnl ---------------------------------------------------------------------------
+AM_GNU_GETTEXT_VERSION([0.19.8])
+AM_GNU_GETTEXT_REQUIRE_VERSION([0.19.8])
+AM_GNU_GETTEXT([external])
+
 GETTEXT_PACKAGE=AC_PACKAGE_NAME
 AC_SUBST(GETTEXT_PACKAGE)
 AC_DEFINE(GETTEXT_PACKAGE, "AC_PACKAGE_NAME", [foo])
 
-AM_GLIB_GNU_GETTEXT
 GLIB_GSETTINGS
 
 dnl ----------------------------------------------------------------------------
diff --git a/data/Makefile.am b/data/Makefile.am
index 436cdf7..1092440 100644
--- a/data/Makefile.am
+++ b/data/Makefile.am
@@ -1,16 +1,18 @@
 SUBDIRS = icons
 
 
-@INTLTOOL_DESKTOP_RULE@
 desktopdir = $(datadir)/applications
 desktop_in_files = mate-power-preferences.desktop.in \
 		   mate-power-statistics.desktop.in
 desktop_DATA = $(desktop_in_files:.desktop.in=.desktop)
+$(desktop_DATA): $(desktop_in_files)
+	$(AM_V_GEN) $(MSGFMT) --desktop --template $< -d $(top_srcdir)/po -o $@
 
-@INTLTOOL_DESKTOP_RULE@
 autostartdir = $(sysconfdir)/xdg/autostart
 autostart_in_files = mate-power-manager.desktop.in
 autostart_DATA = $(autostart_in_files:.desktop.in=.desktop)
+$(autostart_DATA): $(autostart_in_files)
+	$(AM_V_GEN) $(MSGFMT) --desktop --template $< -d $(top_srcdir)/po -o $@
 
 servicedir       = $(DBUS_SERVICES_DIR)
 service_in_files = org.mate.PowerManager.service.in
@@ -20,7 +22,6 @@ $(service_DATA): $(service_in_files) Makefile
 	@sed -e "s|\@servicedir\@|$(bindir)|" $< > $@
 
 @GSETTINGS_RULES@
-@INTLTOOL_XML_NOMERGE_RULE@
 gsettings_schemas_in_files = org.mate.power-manager.gschema.xml.in
 gsettings_SCHEMAS = $(gsettings_schemas_in_files:.xml.in=.xml)
 
diff --git a/data/mate-power-manager.desktop.in.in b/data/mate-power-manager.desktop.in.in
index 601d565..79ff3f1 100644
--- a/data/mate-power-manager.desktop.in.in
+++ b/data/mate-power-manager.desktop.in.in
@@ -1,10 +1,12 @@
 [Desktop Entry]
-_Name=Power Manager
-_Comment=Power management daemon
+Name=Power Manager
+Comment=Power management daemon
+# Translators: Do NOT translate or transliterate this text (this is an icon file name)!
 Icon=mate-power-manager
 Exec=mate-power-manager
 Terminal=false
 Type=Application
+# Translators: Search terms to find this application. Do NOT translate or localize the semicolons! The list MUST also end with a semicolon!
 Categories=
 OnlyShowIn=MATE;
 X-MATE-Bugzilla-Bugzilla=MATE
diff --git a/data/mate-power-preferences.desktop.in.in b/data/mate-power-preferences.desktop.in.in
index c5823bc..d827568 100644
--- a/data/mate-power-preferences.desktop.in.in
+++ b/data/mate-power-preferences.desktop.in.in
@@ -1,11 +1,14 @@
 [Desktop Entry]
-_Name=Power Management
-_Comment=Configure power management
+Name=Power Management
+Comment=Configure power management
+# Translators: Do NOT translate or transliterate this text (this is an icon file name)!
 Icon=mate-power-manager
 Exec=mate-power-preferences
 Terminal=false
 Type=Application
+# Translators: Search terms to find this application. Do NOT translate or localize the semicolons! The list MUST also end with a semicolon!
 Categories=Settings;HardwareSettings;
+# Translators: Search terms to find this application. Do NOT translate or localize the semicolons! The list MUST also end with a semicolon!
 Keywords=MATE;power;management;preferences;settings;
 OnlyShowIn=MATE;
 StartupNotify=true
diff --git a/data/mate-power-statistics.desktop.in.in b/data/mate-power-statistics.desktop.in.in
index ec6c7c6..2a9db3c 100644
--- a/data/mate-power-statistics.desktop.in.in
+++ b/data/mate-power-statistics.desktop.in.in
@@ -1,10 +1,12 @@
 [Desktop Entry]
-_Name=Power Statistics
-_Comment=Observe power management
+Name=Power Statistics
+Comment=Observe power management
+# Translators: Do NOT translate or transliterate this text (this is an icon file name)!
 Icon=mate-power-statistics
 Exec=mate-power-statistics
 Terminal=false
 Type=Application
+# Translators: Search terms to find this application. Do NOT translate or localize the semicolons! The list MUST also end with a semicolon!
 Categories=GTK;System;Monitor;
 OnlyShowIn=MATE;
 NoDisplay=false
diff --git a/po/Makevars b/po/Makevars
new file mode 100644
index 0000000..31f6faf
--- /dev/null
+++ b/po/Makevars
@@ -0,0 +1,79 @@
+# Makefile variables for PO directory in any package using GNU gettext.
+
+# Usually the message domain is the same as the package name.
+DOMAIN = $(PACKAGE)
+
+# These two variables depend on the location of this directory.
+subdir = po
+top_builddir = ..
+
+# These options get passed to xgettext.
+XGETTEXT_OPTIONS = --from-code=UTF-8 --keyword=_ --keyword=N_ --keyword=C_:1c,2 --keyword=NC_:1c,2 --keyword=g_dngettext:2,3 --add-comments=Translators:
+
+# This is the copyright holder that gets inserted into the header of the
+# $(DOMAIN).pot file.  Set this to the copyright holder of the surrounding
+# package.  (Note that the msgstr strings, extracted from the package's
+# sources, belong to the copyright holder of the package.)  Translators are
+# expected to transfer the copyright for their translations to this person
+# or entity, or to disclaim their copyright.  The empty string stands for
+# the public domain; in this case the translators are expected to disclaim
+# their copyright.
+COPYRIGHT_HOLDER = MATE Desktop Environment team
+
+# This tells whether or not to prepend "GNU " prefix to the package
+# name that gets inserted into the header of the $(DOMAIN).pot file.
+# Possible values are "yes", "no", or empty.  If it is empty, try to
+# detect it automatically by scanning the files in $(top_srcdir) for
+# "GNU packagename" string.
+PACKAGE_GNU =
+
+# This is the email address or URL to which the translators shall report
+# bugs in the untranslated strings:
+# - Strings which are not entire sentences, see the maintainer guidelines
+#   in the GNU gettext documentation, section 'Preparing Strings'.
+# - Strings which use unclear terms or require additional context to be
+#   understood.
+# - Strings which make invalid assumptions about notation of date, time or
+#   money.
+# - Pluralisation problems.
+# - Incorrect English spelling.
+# - Incorrect formatting.
+# It can be your email address, or a mailing list address where translators
+# can write to without being subscribed, or the URL of a web page through
+# which the translators can contact you.
+MSGID_BUGS_ADDRESS =
+
+# This is the list of locale categories, beyond LC_MESSAGES, for which the
+# message catalogs shall be used.  It is usually empty.
+EXTRA_LOCALE_CATEGORIES =
+
+# This tells whether the $(DOMAIN).pot file contains messages with an 'msgctxt'
+# context.  Possible values are "yes" and "no".  Set this to yes if the
+# package uses functions taking also a message context, like pgettext(), or
+# if in $(XGETTEXT_OPTIONS) you define keywords with a context argument.
+USE_MSGCTXT = no
+
+# These options get passed to msgmerge.
+# Useful options are in particular:
+#   --previous            to keep previous msgids of translated messages,
+#   --quiet               to reduce the verbosity.
+MSGMERGE_OPTIONS =
+
+# These options get passed to msginit.
+# If you want to disable line wrapping when writing PO files, add
+# --no-wrap to MSGMERGE_OPTIONS, XGETTEXT_OPTIONS, and
+# MSGINIT_OPTIONS.
+MSGINIT_OPTIONS =
+
+# This tells whether or not to regenerate a PO file when $(DOMAIN).pot
+# has changed.  Possible values are "yes" and "no".  Set this to no if
+# the POT file is checked in the repository and the version control
+# program ignores timestamps.
+PO_DEPENDS_ON_POT = yes
+
+# This tells whether or not to forcibly update $(DOMAIN).pot and
+# regenerate PO files on "make dist".  Possible values are "yes" and
+# "no".  Set this to no if the POT file and PO files are maintained
+# externally.
+DIST_DEPENDS_ON_UPDATE_PO = yes
+$(DOMAIN).pot-update: export GETTEXTDATADIRS = $(top_srcdir)
diff --git a/po/POTFILES.in b/po/POTFILES.in
index d07f4a4..d2e34af 100644
--- a/po/POTFILES.in
+++ b/po/POTFILES.in
@@ -1,16 +1,15 @@
-[encoding: UTF-8]
 # List of source files containing translatable strings.
 # Please keep this file sorted alphabetically.
 applets/brightness/brightness-applet.c
-[type: gettext/ini]applets/brightness/org.mate.BrightnessApplet.mate-panel-applet.in.in
+applets/brightness/org.mate.BrightnessApplet.mate-panel-applet.desktop.in.in
 applets/inhibit/inhibit-applet.c
-[type: gettext/ini]applets/inhibit/org.mate.InhibitApplet.mate-panel-applet.in.in
+applets/inhibit/org.mate.InhibitApplet.mate-panel-applet.desktop.in.in
 data/mate-power-manager.desktop.in.in
-[type: gettext/gsettings]data/org.mate.power-manager.gschema.xml.in
+data/org.mate.power-manager.gschema.xml.in
 data/mate-power-preferences.desktop.in.in
 data/mate-power-statistics.desktop.in.in
-[type: gettext/glade]data/gpm-statistics.ui
-[type: gettext/glade]data/gpm-prefs.ui
+data/gpm-statistics.ui
+data/gpm-prefs.ui
 policy/org.mate.power.policy.in2
 src/gpm-backlight.c
 src/gpm-backlight-helper.c
diff --git a/policy/Makefile.am b/policy/Makefile.am
index 4bab7f4..1f3343f 100644
--- a/policy/Makefile.am
+++ b/policy/Makefile.am
@@ -1,16 +1,15 @@
 polkit_policydir = $(datadir)/polkit-1/actions
-polkit_policy_DATA =					\
-	org.mate.power.policy
+polkit_policy_in_files = org.mate.power.policy.in
+polkit_policy_DATA = $(polkit_policy_in_files:.policy.in=.policy)
 
-# You will need a recent intltool or the patch from this bug
-# http://bugzilla.gnome.org/show_bug.cgi?id=462312
-@INTLTOOL_POLICY_RULE@
+$(polkit_policy_DATA): $(polkit_policy_in_files)
+	$(AM_V_GEN) $(MSGFMT) --xml --template $< -d $(top_srcdir)/po -o $@
 
 .in2.in:
 	sed "s|[@]sbindir@|${sbindir}|" $< > $@
 
 EXTRA_DIST = org.mate.power.policy.in2
-DISTCLEANFILES = org.mate.power.policy org.mate.power.policy.in
+DISTCLEANFILES = $(polkit_policy_DATA) $(polkit_policy_in_files)
 
 clean-local :
 	rm -f *~
diff --git a/policy/org.mate.power.policy.in2 b/policy/org.mate.power.policy.in2
index 61bbd6e..06d6428 100644
--- a/policy/org.mate.power.policy.in2
+++ b/policy/org.mate.power.policy.in2
@@ -18,8 +18,8 @@
           - A normal active user on the local machine does not need permission
             to change the backlight brightness.
      -->
-    <_description>Modify the laptop brightness</_description>
-    <_message>Authentication is required to modify the laptop brightness</_message>
+    <description>Modify the laptop brightness</description>
+    <message>Authentication is required to modify the laptop brightness</message>
     <defaults>
       <allow_any>no</allow_any>
       <allow_inactive>no</allow_inactive>
